<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__prot__enums" kind="group">
    <compoundname>group_prot_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd" kind="enum" prot="public" static="no">
        <name>cy_en_prot_status_t</name>
        <enumvalue id="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d" prot="public">
          <name>CY_PROT_SUCCESS</name>
          <initializer>= 0x00U</initializer>
          <briefdescription>
<para>Returned successful. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda0eb04c6edf8f3b0fe6a6d5e6f353425e" prot="public">
          <name>CY_PROT_BAD_PARAM</name>
          <initializer>= CY_PROT_ID | CY_PDL_STATUS_ERROR | 0x01U</initializer>
          <briefdescription>
<para>Bad parameter was passed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda3cafea08fca296a0d39e233f4ffdc6e9" prot="public">
          <name>CY_PROT_INVALID_STATE</name>
          <initializer>= CY_PROT_ID | CY_PDL_STATUS_ERROR | 0x02U</initializer>
          <briefdescription>
<para>The operation is not setup. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda52557e3bc62d82896ec008f3b0733844" prot="public">
          <name>CY_PROT_FAILURE</name>
          <initializer>= CY_PROT_ID | CY_PDL_STATUS_ERROR | 0x03U</initializer>
          <briefdescription>
<para>The resource is locked. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda718370f481d0c46eb2a54da5b631dd86" prot="public">
          <name>CY_PROT_UNAVAILABLE</name>
          <initializer>= CY_PROT_ID | CY_PDL_STATUS_ERROR | 0x04U</initializer>
          <briefdescription>
<para>The resource is unavailable. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_prot_status_t: </bold><linebreak />Prot Driver error codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="521" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="514" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="515" />
      </memberdef>
      <memberdef id="group__group__prot__enums_1ga330789bc5242c26b8a32df63fa8720e5" kind="enum" prot="public" static="no">
        <name>cy_en_prot_perm_t</name>
        <enumvalue id="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5a71e68b733a505b1241d49c8f62cbfb61" prot="public">
          <name>CY_PROT_PERM_DISABLED</name>
          <initializer>= 0x00U</initializer>
          <briefdescription>
<para>Read, Write and Execute disabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5aad6e3850fb76be4bd78240a4fc284985" prot="public">
          <name>CY_PROT_PERM_R</name>
          <initializer>= 0x01U</initializer>
          <briefdescription>
<para>Read enabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5ac7973bd679f5184c4e82ede769b1a2ab" prot="public">
          <name>CY_PROT_PERM_W</name>
          <initializer>= 0x02U</initializer>
          <briefdescription>
<para>Write enabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5aa7d757bf3cedd4f675b65d3ed642d315" prot="public">
          <name>CY_PROT_PERM_RW</name>
          <initializer>= 0x03U</initializer>
          <briefdescription>
<para>Read and Write enabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5abc94e6bf4e2a00cce84d81db75df9fd4" prot="public">
          <name>CY_PROT_PERM_X</name>
          <initializer>= 0x04U</initializer>
          <briefdescription>
<para>Execute enabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5adfd0962e39ea7f3883baa46b13d26642" prot="public">
          <name>CY_PROT_PERM_RX</name>
          <initializer>= 0x05U</initializer>
          <briefdescription>
<para>Read and Execute enabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5a1f1e237a77b13d335b322b4b2c27e176" prot="public">
          <name>CY_PROT_PERM_WX</name>
          <initializer>= 0x06U</initializer>
          <briefdescription>
<para>Write and Execute enabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5aa60056a96ee4d8d2133b69e3714a318b" prot="public">
          <name>CY_PROT_PERM_RWX</name>
          <initializer>= 0x07U</initializer>
          <briefdescription>
<para>Read, Write and Execute enabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_prot_perm_t: </bold><linebreak />User/Privileged permission.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="536" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="526" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="527" />
      </memberdef>
      <memberdef id="group__group__prot__enums_1gaad39ed0d259460f717edfe9d08fc005f" kind="enum" prot="public" static="no">
        <name>cy_en_prot_size_t</name>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa4ae4f4b6ff0730b2f2c6bc504119c78a" prot="public">
          <name>CY_PROT_SIZE_4B</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>4 bytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa8fd8f44ec131dd57d2582f9151adcfbf" prot="public">
          <name>CY_PROT_SIZE_8B</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>8 bytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa29f97db50321f05865ed8d60621778ec" prot="public">
          <name>CY_PROT_SIZE_16B</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>16 bytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa19be330666bf3d08f2ca242fd6fe11fb" prot="public">
          <name>CY_PROT_SIZE_32B</name>
          <initializer>= 4U</initializer>
          <briefdescription>
<para>32 bytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa6bd1abede4cae6f6d9d18f4ac4943a12" prot="public">
          <name>CY_PROT_SIZE_64B</name>
          <initializer>= 5U</initializer>
          <briefdescription>
<para>64 bytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa5e65e23dc5e618367ee23315c48bb56c" prot="public">
          <name>CY_PROT_SIZE_128B</name>
          <initializer>= 6U</initializer>
          <briefdescription>
<para>128 bytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fac95822db72eb8b6b16cd97f84c0d0b12" prot="public">
          <name>CY_PROT_SIZE_256B</name>
          <initializer>= 7U</initializer>
          <briefdescription>
<para>256 bytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa7568692d980a21b3347c244892abee27" prot="public">
          <name>CY_PROT_SIZE_512B</name>
          <initializer>= 8U</initializer>
          <briefdescription>
<para>512 bytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fad227714b19a1b9f398610943fb166e2c" prot="public">
          <name>CY_PROT_SIZE_1KB</name>
          <initializer>= 9U</initializer>
          <briefdescription>
<para>1 Kilobyte </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa0e716de7c09850199d203ebbb612597c" prot="public">
          <name>CY_PROT_SIZE_2KB</name>
          <initializer>= 10U</initializer>
          <briefdescription>
<para>2 Kilobytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa0a5fe31cf4a2de284e6b631f1a4c8ec7" prot="public">
          <name>CY_PROT_SIZE_4KB</name>
          <initializer>= 11U</initializer>
          <briefdescription>
<para>4 Kilobytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fad4c1bc4e6d14db2cbd042efc44a9ef53" prot="public">
          <name>CY_PROT_SIZE_8KB</name>
          <initializer>= 12U</initializer>
          <briefdescription>
<para>8 Kilobytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa5a9d486c35b25393085829b5108aa2d4" prot="public">
          <name>CY_PROT_SIZE_16KB</name>
          <initializer>= 13U</initializer>
          <briefdescription>
<para>16 Kilobytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa88609d2058b9e00fe5fe2aeab0a2dc33" prot="public">
          <name>CY_PROT_SIZE_32KB</name>
          <initializer>= 14U</initializer>
          <briefdescription>
<para>32 Kilobytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa10ca7e45410ad072ceb2d13b8480f632" prot="public">
          <name>CY_PROT_SIZE_64KB</name>
          <initializer>= 15U</initializer>
          <briefdescription>
<para>64 Kilobytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa0f59a6bc6953681219fd975bdb11b930" prot="public">
          <name>CY_PROT_SIZE_128KB</name>
          <initializer>= 16U</initializer>
          <briefdescription>
<para>128 Kilobytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005faf2cb67f420c03bf8f767e543f4847a06" prot="public">
          <name>CY_PROT_SIZE_256KB</name>
          <initializer>= 17U</initializer>
          <briefdescription>
<para>256 Kilobytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa912566991c67d48636768cbc1d40300c" prot="public">
          <name>CY_PROT_SIZE_512KB</name>
          <initializer>= 18U</initializer>
          <briefdescription>
<para>512 Kilobytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005faf236226797bc2f4520d67141e763d8f5" prot="public">
          <name>CY_PROT_SIZE_1MB</name>
          <initializer>= 19U</initializer>
          <briefdescription>
<para>1 Megabyte </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa598f81c10623e4ee62a60725e6a0b4ba" prot="public">
          <name>CY_PROT_SIZE_2MB</name>
          <initializer>= 20U</initializer>
          <briefdescription>
<para>2 Megabytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa95bc9ec354d4c7d7bb2a7f92797e7de8" prot="public">
          <name>CY_PROT_SIZE_4MB</name>
          <initializer>= 21U</initializer>
          <briefdescription>
<para>4 Megabytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa903c658b537155a7d7effe5df114b081" prot="public">
          <name>CY_PROT_SIZE_8MB</name>
          <initializer>= 22U</initializer>
          <briefdescription>
<para>8 Megabytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fac35fa20b83a3b15fb9fcaa781dd085fc" prot="public">
          <name>CY_PROT_SIZE_16MB</name>
          <initializer>= 23U</initializer>
          <briefdescription>
<para>16 Megabytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa9f44b5726c8b38852dd7d4f4715efc7d" prot="public">
          <name>CY_PROT_SIZE_32MB</name>
          <initializer>= 24U</initializer>
          <briefdescription>
<para>32 Megabytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa26bf105467610baa83e2abe5d59cbc1e" prot="public">
          <name>CY_PROT_SIZE_64MB</name>
          <initializer>= 25U</initializer>
          <briefdescription>
<para>64 Megabytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa06a877d833c1a027bf8602c79b7976b4" prot="public">
          <name>CY_PROT_SIZE_128MB</name>
          <initializer>= 26U</initializer>
          <briefdescription>
<para>128 Megabytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa66e9673b195dd3df1acfe430abe342a0" prot="public">
          <name>CY_PROT_SIZE_256MB</name>
          <initializer>= 27U</initializer>
          <briefdescription>
<para>256 Megabytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa10ef0e82f7e374628f87c082705e21fe" prot="public">
          <name>CY_PROT_SIZE_512MB</name>
          <initializer>= 28U</initializer>
          <briefdescription>
<para>512 Megabytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa19852bb8a0dcbc91523c858a2a6cb53d" prot="public">
          <name>CY_PROT_SIZE_1GB</name>
          <initializer>= 29U</initializer>
          <briefdescription>
<para>1 Gigabyte </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa6086532638715ab57335730b1a770c03" prot="public">
          <name>CY_PROT_SIZE_2GB</name>
          <initializer>= 30U</initializer>
          <briefdescription>
<para>2 Gigabytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fad4ea24cd708b837503f93173e32d1b20" prot="public">
          <name>CY_PROT_SIZE_4GB</name>
          <initializer>= 31U</initializer>
          <briefdescription>
<para>4 Gigabytes </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_prot_size_t: </bold><linebreak />Memory region size.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="575" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="541" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="542" />
      </memberdef>
      <memberdef id="group__group__prot__enums_1ga4467b93f3da4304e584726b975d3faba" kind="enum" prot="public" static="no">
        <name>cy_en_prot_pc_t</name>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaa10dc15f2738ba076ded84cb7b9eac7fa" prot="public">
          <name>CY_PROT_PC1</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>PC = 1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaaad9af921879d03d6bd18482b8961bb5f" prot="public">
          <name>CY_PROT_PC2</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>PC = 2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaad541f2796ce93690d9f2d125471f7f4f" prot="public">
          <name>CY_PROT_PC3</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>PC = 3. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaa5a43f84f558a11632cd6372ad6601114" prot="public">
          <name>CY_PROT_PC4</name>
          <initializer>= 4U</initializer>
          <briefdescription>
<para>PC = 4. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaa3451164cc77fcd7797fc9db4b695a509" prot="public">
          <name>CY_PROT_PC5</name>
          <initializer>= 5U</initializer>
          <briefdescription>
<para>PC = 5. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaac431604452c71de40987ab70b368fb43" prot="public">
          <name>CY_PROT_PC6</name>
          <initializer>= 6U</initializer>
          <briefdescription>
<para>PC = 6. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaac4a472f5afc310a3b3954c884a91da5c" prot="public">
          <name>CY_PROT_PC7</name>
          <initializer>= 7U</initializer>
          <briefdescription>
<para>PC = 7. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaafa92c06d2130e2ed2e2cba27d18aaa72" prot="public">
          <name>CY_PROT_PC8</name>
          <initializer>= 8U</initializer>
          <briefdescription>
<para>PC = 8. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaae0e095e3082dfacdcfb459e25a8a840a" prot="public">
          <name>CY_PROT_PC9</name>
          <initializer>= 9U</initializer>
          <briefdescription>
<para>PC = 9. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaa9042cf9d26fd300a024bebedb804cdfd" prot="public">
          <name>CY_PROT_PC10</name>
          <initializer>= 10U</initializer>
          <briefdescription>
<para>PC = 10. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaae7d4e5fd8ec9166925f267c3c3706f73" prot="public">
          <name>CY_PROT_PC11</name>
          <initializer>= 11U</initializer>
          <briefdescription>
<para>PC = 11. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaa48c28d726b84211462304625b40cb769" prot="public">
          <name>CY_PROT_PC12</name>
          <initializer>= 12U</initializer>
          <briefdescription>
<para>PC = 12. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaa7897e8c038c0a30cf25478b389e7d526" prot="public">
          <name>CY_PROT_PC13</name>
          <initializer>= 13U</initializer>
          <briefdescription>
<para>PC = 13. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaa5407dc6a890dbabbfb6f9dc67689a3d8" prot="public">
          <name>CY_PROT_PC14</name>
          <initializer>= 14U</initializer>
          <briefdescription>
<para>PC = 14. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4467b93f3da4304e584726b975d3fabaaa7a73f993f3d2c159d5dc197effbc8bb" prot="public">
          <name>CY_PROT_PC15</name>
          <initializer>= 15U</initializer>
          <briefdescription>
<para>PC = 15. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_prot_pc_t: </bold><linebreak />Protection Context (PC)</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="597" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="580" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="581" />
      </memberdef>
      <memberdef id="group__group__prot__enums_1ga618195213f866568fb71ed14af59cf6c" kind="enum" prot="public" static="no">
        <name>cy_en_prot_subreg_t</name>
        <enumvalue id="group__group__prot__enums_1gga618195213f866568fb71ed14af59cf6ca9b41ba059d2baba289e8776d46cea7ef" prot="public">
          <name>CY_PROT_SUBREGION_DIS0</name>
          <initializer>= 0x01U</initializer>
          <briefdescription>
<para>Disable subregion 0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga618195213f866568fb71ed14af59cf6ca998369ff660e71be8b1c81cbe4bb30cf" prot="public">
          <name>CY_PROT_SUBREGION_DIS1</name>
          <initializer>= 0x02U</initializer>
          <briefdescription>
<para>Disable subregion 1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga618195213f866568fb71ed14af59cf6ca6df8c2d6a69512e0630bf002c860685c" prot="public">
          <name>CY_PROT_SUBREGION_DIS2</name>
          <initializer>= 0x04U</initializer>
          <briefdescription>
<para>Disable subregion 2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga618195213f866568fb71ed14af59cf6ca708d89430a48e4532de29651f570ae26" prot="public">
          <name>CY_PROT_SUBREGION_DIS3</name>
          <initializer>= 0x08U</initializer>
          <briefdescription>
<para>Disable subregion 3. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga618195213f866568fb71ed14af59cf6ca1c8ba488664315a29d5de4ebf86c252b" prot="public">
          <name>CY_PROT_SUBREGION_DIS4</name>
          <initializer>= 0x10U</initializer>
          <briefdescription>
<para>Disable subregion 4. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga618195213f866568fb71ed14af59cf6caa13aa84d3592145bcb1d189b59d2a8d8" prot="public">
          <name>CY_PROT_SUBREGION_DIS5</name>
          <initializer>= 0x20U</initializer>
          <briefdescription>
<para>Disable subregion 5. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga618195213f866568fb71ed14af59cf6caaa87e23a7eba5433117ebedfb4a82527" prot="public">
          <name>CY_PROT_SUBREGION_DIS6</name>
          <initializer>= 0x40U</initializer>
          <briefdescription>
<para>Disable subregion 6. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga618195213f866568fb71ed14af59cf6ca2c981f41713e5632dc55167017335beb" prot="public">
          <name>CY_PROT_SUBREGION_DIS7</name>
          <initializer>= 0x80U</initializer>
          <briefdescription>
<para>Disable subregion 7. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_prot_subreg_t: </bold><linebreak />Subregion disable (0-7)</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="612" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="602" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="603" />
      </memberdef>
      <memberdef id="group__group__prot__enums_1ga4486bc74d6e98ad99c1ce4d532e48d0f" kind="enum" prot="public" static="no">
        <name>cy_en_prot_pcmask_t</name>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fabf25e25bbce833636da932ce78e453e8" prot="public">
          <name>CY_PROT_PCMASK1</name>
          <initializer>= 0x0001U</initializer>
          <briefdescription>
<para>Mask to allow PC = 1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fa0b17d740a164ae90f06a4ab2f17d79d0" prot="public">
          <name>CY_PROT_PCMASK2</name>
          <initializer>= 0x0002U</initializer>
          <briefdescription>
<para>Mask to allow PC = 2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fa33b7e98df492418f5f7fa8882c27e2bd" prot="public">
          <name>CY_PROT_PCMASK3</name>
          <initializer>= 0x0004U</initializer>
          <briefdescription>
<para>Mask to allow PC = 3. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fa2e5214be494696cd798202bc14b14029" prot="public">
          <name>CY_PROT_PCMASK4</name>
          <initializer>= 0x0008U</initializer>
          <briefdescription>
<para>Mask to allow PC = 4. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fae05255e436eedfc8e48bc92079351725" prot="public">
          <name>CY_PROT_PCMASK5</name>
          <initializer>= 0x0010U</initializer>
          <briefdescription>
<para>Mask to allow PC = 5. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fa83405fcde914977fad2a4757bf3be3f0" prot="public">
          <name>CY_PROT_PCMASK6</name>
          <initializer>= 0x0020U</initializer>
          <briefdescription>
<para>Mask to allow PC = 6. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fa14d7b8cdf42fd5ac0b1144460579f9f4" prot="public">
          <name>CY_PROT_PCMASK7</name>
          <initializer>= 0x0040U</initializer>
          <briefdescription>
<para>Mask to allow PC = 7. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fabde8eb7866d66741fd16d2b8358d64fb" prot="public">
          <name>CY_PROT_PCMASK8</name>
          <initializer>= 0x0080U</initializer>
          <briefdescription>
<para>Mask to allow PC = 8. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fa93a2a4a96427fe22a79964d188b345bb" prot="public">
          <name>CY_PROT_PCMASK9</name>
          <initializer>= 0x0100U</initializer>
          <briefdescription>
<para>Mask to allow PC = 9. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fa65799baa433f96c8e92b3ab44ac5551b" prot="public">
          <name>CY_PROT_PCMASK10</name>
          <initializer>= 0x0200U</initializer>
          <briefdescription>
<para>Mask to allow PC = 10. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fa2c7bdc69632d60fa6aa75318be708ff1" prot="public">
          <name>CY_PROT_PCMASK11</name>
          <initializer>= 0x0400U</initializer>
          <briefdescription>
<para>Mask to allow PC = 11. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fa4fa69430ed0a999b883b5f853fffe587" prot="public">
          <name>CY_PROT_PCMASK12</name>
          <initializer>= 0x0800U</initializer>
          <briefdescription>
<para>Mask to allow PC = 12. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fa390fb9e0a29de08fb6ced2dd1ada5daa" prot="public">
          <name>CY_PROT_PCMASK13</name>
          <initializer>= 0x1000U</initializer>
          <briefdescription>
<para>Mask to allow PC = 13. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fa58530f4492a1621743253df38e77df90" prot="public">
          <name>CY_PROT_PCMASK14</name>
          <initializer>= 0x2000U</initializer>
          <briefdescription>
<para>Mask to allow PC = 14. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fa839e450c014d2151df162ed6f5dc6aa0" prot="public">
          <name>CY_PROT_PCMASK15</name>
          <initializer>= 0x4000U</initializer>
          <briefdescription>
<para>Mask to allow PC = 15. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_prot_pcmask_t: </bold><linebreak />Protection context mask (PC_MASK)</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="634" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="617" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="618" />
      </memberdef>
      <memberdef id="group__group__prot__enums_1gaaeba5a362760906a0b1e0f73a177d9d7" kind="enum" prot="public" static="no">
        <name>cy_en_prot_req_mode_t</name>
        <enumvalue id="group__group__prot__enums_1ggaaeba5a362760906a0b1e0f73a177d9d7aa2f960efb4d291b72c77432e3a20a30a" prot="public">
          <name>CY_PROT_REQMODE_HIGHPRIOR</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Request mode to return PU structure with highest priority. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaaeba5a362760906a0b1e0f73a177d9d7a1de0c96dde3c1584506761e662be7a7b" prot="public">
          <name>CY_PROT_REQMODE_LOWPRIOR</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Request mode to return PU structure with lowest priority. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__prot__enums_1ggaaeba5a362760906a0b1e0f73a177d9d7a2a106d36025c01a8cd7457f8194b5fde" prot="public">
          <name>CY_PROT_REQMODE_INDEX</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>Request mode to return PU structure with specific index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_prot_req_mode_t: </bold><linebreak />Request mode to get the SMPU or programmed PU structure.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="644" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="639" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="640" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>